EDIT - feature request #10156

Show field unit media in taxon image galleries
09/14/2022 12:12 PM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

Currently, images in the image galleries are only shown if the unit is directly related to the taxon (or is a derivate - not tested). It
should be configurable that also images of the originals of derived units are shown (or concrete field unit images should be shown if
derived units are related to the taxon).

Associated revisions

Revision e5fafd55 - 09/29/2022 09:51 AM - Katja Luther

ref #10156: add parameter for collecting original media

Revision e56ebfbd - 09/29/2022 11:21 AM - Katja Luther
ref #10156: addOriginals to taxonServive.listMedia

Revision b10b63a9 - 09/29/2022 11:35 AM - Katja Luther
ref #10156: adapt TaxonController

Revision 7ff10c66 - 09/29/2022 11:53 AM - Katja Luther

ref #10156: adapt portal settings to possibility to show original media

Revision c7aa8ed8 - 09/29/2022 02:24 PM - Katja Luther

ref #10156: adapt TaxonController - continue

Revision f73a47f6 - 09/30/2022 01:28 PM - Katja Luther

ref #10156: call service method with parameter

Revision 6cd36c50 - 10/04/2022 11:47 AM - Katja Luther

ref #10156: check whether the variable exist

Revision 27d6e65a - 10/06/2022 01:05 PM - Katja Luther

ref #10156: do not show preference for field unit media as long as it does not work

History

#1 - 09/14/2022 12:16 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.33

#2 - 09/29/2022 01:31 PM - Katja Luther

- Status changed from New to In Progress

Added a parameter to the service methods to list also the media of the originals of a specimen or observation.

#3 - 10/11/2022 08:58 AM - Andreas Miiller

- Target version changed from Release 5.33 to Release 5.35

#4 - 11/29/2022 07:04 PM - Andreas Miuller

- Target version changed from Release 5.35 to Release 5.44
| guess this can not be handled in the current milestone, but maybe in the next one.

#5 - 02/14/2024 11:26 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

As this is related to specimen and media gathering | move it to current milestone.
